###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################
%define major 1
%define minor 0.0

Name: dlm
Version: 1.0.0
Release: 3
License: GPL
Group: System Environment/Kernel
Summary: dlm - The Distributed Lock Manager
BuildRequires: dlm-kernheaders
Conflicts: GFS <= 6.0
Conflicts: GFS-modules
Requires: dlm-kernel-modules >= 2.6.11
Requires: cman
ExclusiveArch: %{ix86} x86_64 ppc ppc64
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
dlm - The Distributed Lock Manager

%package devel
Group: Development/Libraries
Summary: dlm - The Distributed Lock Manager userland libraries
Requires: %{name} = %{version}-%{release}

%description devel
dlm - The Distributed Lock Manager userland libraries

%prep
%setup -q -n %{name}-%{version}

%build
./configure --libdir=%{_libdir} --incdir=%{_includedir} --mandir=%{_mandir}
sed -i '/RELEASE_MAJOR/s/= .*/= %{major}/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= %{minor}/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %{version}/' make/defines.mk
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
echo %{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libdlm.so*
%{_libdir}/libdlm_lt.so*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libdlm.h
%{_libdir}/libdlm.a
%{_libdir}/libdlm_lt.a

%changelog
* Tue May 17 2005 Chris Feist <cfeist@redhat.com>
- Requires dlm-kernel-modules.

* Sun May 08 2005 Florian La Roche <laroche@redhat.com>
- fix -devel requires

* Fri May 06 2005 Chris Feist <cfeist@redhat.com>
- Cleaned up .spec file.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Fri Dec 10 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Mon Oct 25 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Fri Oct 22 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Mon Aug 16 2004 Jon Brassow <jbrassow@redhat.com>
- add requires field

* Fri Aug 13 2004 Jon Brassow <jbrassow@redhat.com>
- various bug fixes (new upstream sources)
- no need for fpic patch

* Wed Jul 14 2004 Jon Brassow <jbrassow@redhat.com>
- add Makefile patch

* Wed Jul 14 2004 Jon Brassow <jbrassow@redhat.com>
- explicitly name lib file

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.
